import { IPolicyValidationPluginBeta1, IPolicyValidationContextBeta1, PolicyValidationPluginReportBeta1 } from 'aws-cdk-lib';
export interface CheckovValidatorProps {
    /**
       * List of checks to run
       *
       * @default - all checks are run
       */
    readonly check?: string[];
    /**
       * List of checks to skip
       *
       * @default - no checks are skipped
       */
    readonly skipCheck?: string[];
}
/**
 * A validation plugin using checkov
 */
export declare class CheckovValidator implements IPolicyValidationPluginBeta1 {
    readonly name: string;
    private readonly checkov;
    private readonly check;
    private readonly skipCheck;
    constructor(props?: CheckovValidatorProps);
    validate(context: IPolicyValidationContextBeta1): PolicyValidationPluginReportBeta1;
    private execCheckov;
}
