import { PolicyValidationPluginReportBeta1 } from 'aws-cdk-lib/core/lib/validation/report';
export interface Report {
    readonly check_type: string;
    readonly results: Results;
    readonly summary: Summary;
    readonly url: string;
}
interface Results {
    readonly passed_checks: Check[];
    readonly failed_checks: Check[];
    readonly skipped_checks: Check[];
    readonly parsing_errors: string[];
}
interface Check {
    readonly check_id: string;
    readonly bc_check_id: string;
    readonly check_name: string;
    readonly details: string[];
    readonly file_abs_path: string;
    readonly guideline: string;
    readonly resource: string;
    readonly severity: string;
}
interface Summary {
    readonly passed: number;
    readonly failed: number;
    readonly skipped: number;
    readonly parsing_errors: number;
    readonly resource_count: number;
    readonly checkov_version: string;
}
export declare function processReport(report: Report): PolicyValidationPluginReportBeta1;
export {};
